## START: Set by rpmautospec
## (rpmautospec version 0.8.1)
## RPMAUTOSPEC: autorelease, autochangelog
%define autorelease(e:s:pb:n) %{?-p:0.}%{lua:
    release_number = 1;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{!?-n:%{?dist}}
## END: Set by rpmautospec

Name:           atomic-queue
Version:        1.6.7
Release:        %autorelease
Summary:        C++ lockless queue

# SPDX
License:        MIT
URL:            https://github.com/max0x7ba/atomic_queue
Source0:        %{url}/archive/v%{version}/atomic_queue-%{version}.tar.gz

BuildRequires:  gcc-c++
BuildRequires:  meson
BuildRequires:  boost-devel

# No compiled binaries are installed, so this would be empty.
%global debug_package %{nil}

%global common_description %{expand:
C++14 multiple-producer-multiple-consumer lock-free queues based on circular
buffers and std::atomic.

Designed with a goal to minimize the latency between one thread pushing an
element into a queue and another thread popping it from the queue.}

%description %{common_description}


%package devel
Summary:        Development files for atomic-queue

# Header-only library
Provides:       atomic-queue-static = %{version}-%{release}

%description devel %{common_description}

The atomic-queue-devel package contains libraries and header files for
developing applications that use atomic-queue.


%prep
%autosetup -n atomic_queue-%{version}


%build
%meson -Dbenchmarks=false
%meson_build


%install
%meson_install


%check
%meson_test --verbose


%files devel
%license LICENSE
%doc README.md
# We do NOT package “html”, which contains benchmark results, because it loads
# a Google Analytics script.

%{_includedir}/atomic_queue/
%{_libdir}/pkgconfig/atomic_queue.pc


%changelog
## START: Generated by rpmautospec
* Fri May 02 2025 Packit <hello@packit.dev> - 1.6.7-1
- Update to 1.6.7 upstream release
- Resolves: rhbz#2363613

* Sat Apr 26 2025 Benjamin A. Beasley <code@musicinmybrain.net> - 1.6.6-1
- Update to 1.6.6 (close RHBZ#2362348)

* Sat Apr 26 2025 Benjamin A. Beasley <code@musicinmybrain.net> - 1.6.5-4
- Simplify the package description

* Thu Oct 03 2024 Packit <hello@packit.dev> - 1.6.5-1
- Update to 1.6.5 upstream release
- Resolves: rhbz#2316270

* Mon Jul 22 2024 Benjamin A. Beasley <code@musicinmybrain.net> - 1.6.4-1
- Update to 1.6.4 (close RHBZ#2299261)

* Tue Mar 05 2024 Benjamin A. Beasley <code@musicinmybrain.net> - 1.6.3-1
- Update to 1.6.3: Fixes C++20 compile errors

* Tue Mar 05 2024 Benjamin A. Beasley <code@musicinmybrain.net> - 1.6.2-1
- Update to 1.6.2

* Wed Feb 14 2024 Benjamin A. Beasley <code@musicinmybrain.net> - 1.6.1-1
- [packit] 1.6.1 upstream release

* Thu Nov 16 2023 Benjamin A. Beasley <code@musicinmybrain.net> - 1.5-1
- Update to 1.5 (close RHBZ#2249919)

* Sun Apr 02 2023 Benjamin A. Beasley <code@musicinmybrain.net> - 1.4-1
- Update to 1.4 (close RHBZ#2183486)

* Sat Feb 25 2023 Benjamin A. Beasley <code@musicinmybrain.net> - 1.1-1
- Update to 1.1 (close RHBZ#2173288)

* Sat Feb 25 2023 Benjamin A. Beasley <code@musicinmybrain.net> - 1.0-5
- Indicate dirs. in files list with trailing slashes

* Sat Feb 25 2023 Benjamin A. Beasley <code@musicinmybrain.net> - 1.0-4
- Confirm that License is SPDX MIT (no License field change)

* Thu Dec 16 2021 Benjamin A. Beasley <code@musicinmybrain.net> - 1.0-3
- Let the devel subpackage be noarch

* Thu Dec 09 2021 Benjamin A. Beasley <code@musicinmybrain.net> - 1.0-2
- Fix release number—no longer a pre-release

* Thu Dec 09 2021 Benjamin A. Beasley <code@musicinmybrain.net> - 1.0-0.1
- Update to 1.0 (close RHBZ#2030645)

* Fri Oct 22 2021 Benjamin A. Beasley <code@musicinmybrain.net> - 0-0.6
- Update to 7013a8b (support up to 256 byte cache lines)

* Wed Oct 20 2021 Benjamin A. Beasley <code@musicinmybrain.net> - 0-0.5
- Update to ee3d91c: fix RHBZ#1994598, fix RHBZ#1994599
- Enable verbose test output
- Run the example as an additional test

* Tue Oct 19 2021 Benjamin A. Beasley <code@musicinmybrain.net> - 0-0.4
- Update to commit dfd2cbe

* Fri Sep 24 2021 Benjamin A. Beasley <code@musicinmybrain.net> - 0-0.3
- We really don’t need to adjust the C++ standard for the tests

* Mon Aug 16 2021 Benjamin A. Beasley <code@musicinmybrain.net> - 0-0.2
- Fix an long line in the -devel package description

* Mon Aug 16 2021 Benjamin A. Beasley <code@musicinmybrain.net> - 0-0.1
- Initial package
## END: Generated by rpmautospec
